package org.springblade.flow.database.model;

import lombok.Data;

/**
 * 数据连接
 *
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2019年9月27日 上午9:18
 */
@Data
public class DbLinkEntity {
	/**
	 * 连接主键
	 */
	private String id;

	/**
	 * 连接名称
	 */
	private String fullName;
	
	/**
	 * 连接驱动
	 */
	private String dbType;

	/**
	 * 主机名称
	 */
	private String host;

	/**
	 * 端口
	 */
	private Integer port;
	
	/**
	 * 数据库连接
	 */
	private String url;

	/**
	 * 用户
	 */
	private String userName;

	/**
	 * 密码
	 */
	private String password;

	/**
	 * 服务/数据库名称
	 */
	private String serviceName;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * 模式
	 * 说明：默认与用户同名模式,用户跨模式查询，表名要用限定名
	 *      注意：数据库大小写敏感问题
	 */
	private String dbSchema;

    /**
     * 表空间
     */
    public String tableSpace;

}
