package org.springblade.flow.engine.assembly;

import java.io.Serializable;
import java.util.List;

import org.springblade.flow.engine.dto.MailFileInfo;

import lombok.Data;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 18:15
 * @desc
 */
@Data
public class ManualTaskExPropertyDTO extends BaseExPropertyDTO implements Serializable {
    /**
     * 传阅岗位
     **/
    private List<String> circulatePosition;
    /**
     * 传阅人
     **/
    private List<String> circulateUser;
    /**
     * 传阅角色
     **/
    private List<String> circulateRole;
    /**
     * manualTask的扩展
     * 目前基于manualTask做了俩个扩展节点
     * 一种是 邮件任务 一种是抄送节点
     * 需要根据此类型来创建不同的行为类
     */
    private String type;
    /**
     * 收件人列表
     */
    private List<String> to;
    /**
     * 发件人: 默认可以是自己的管理员
     */
    private String from;
    /**
     * 主题
     */
    private String subject;
    /**
     * 抄送人
     */
    private List<String> cc;
    /**
     * 密送人
     */
    private List<String> bcc;
    /**
     * 邮件正文
     */
    private String html;

    /**
     * 邮件附件
     */
    private List<MailFileInfo> mailFiles;

    //作为通知节点时 有的参数
    /**
     * 是否需要将流程记录抄送给这些人
     */
    private Boolean processFlag;
    /**
     * 通知内容
     */
    private String notifyContent;
}
