package org.springblade.flow.permission.entity;


import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 *  实体类
 *
 * @author william
 * @date   2022-07-14 10:57:52
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("blade_dept")
@ApiModel(value = "blade_dept", description = "")
public class OrganizeEntity implements Serializable{
	private static final long serialVersionUID = 1L;
	
 	/** 
	 * 主键 
	 */
	@ApiModelProperty(value = "主键",name = "id", required = true)
	@TableId("id")
	private String  id;
 	/** 
	 * 租户ID 
	 */
	@ApiModelProperty(value = "租户ID",name = "tenantId", required = false)
	@TableField("tenant_id")
	private String  tenantId;
 	/** 
	 * 父主键 
	 */
	@ApiModelProperty(value = "父主键",name = "parentId", required = false)
	@TableField("parent_id")
	private String  parentId;
 	/** 
	 * 祖级列表 
	 */
	@ApiModelProperty(value = "祖级列表",name = "ancestors", required = false)
	@TableField("ancestors")
	private String  ancestors;
 	/** 
	 * 部门类型 
	 */
	@ApiModelProperty(value = "部门类型",name = "deptCategory", required = false)
	@TableField("dept_category")
	private Integer  category;
 	/** 
	 * 部门名 
	 */
	@ApiModelProperty(value = "部门名",name = "deptName", required = false)
	@TableField("dept_name")
	private String  deptName;
 	/** 
	 * 部门全称 
	 */
	@ApiModelProperty(value = "部门全称",name = "fullName", required = false)
	@TableField("full_name")
	private String  fullName;
 	/** 
	 * 排序 
	 */
	@ApiModelProperty(value = "排序",name = "sort", required = false)
	@TableField("sort")
	private Long  sortCode;
 	/** 
	 * 备注 
	 */
	@ApiModelProperty(value = "备注",name = "remark", required = false)
	@TableField("remark")
	private String  remark;
 	/** 
	 * 是否已删除 
	 */
	@ApiModelProperty(value = "是否已删除",name = "isDeleted", required = false)
	@TableField("is_deleted")
	private Integer  isDeleted;
	
	private transient String enCode;
	private transient String manager;

}
