package org.springblade.flow.permission.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 *  实体类
 *
 * @author william
 * @date   2022-07-26 16:35:54
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("blade_post")
@ApiModel(value = "blade_post", description = "")
public class PositionEntity implements Serializable{
	private static final long serialVersionUID = 1L;
	
 	/** 
	 * 主键 
	 */
	@ApiModelProperty(value = "主键",name = "id", required = true)
	@TableId(type = IdType.ASSIGN_ID)
	private String  id;
 	/** 
	 * 租户ID 
	 */
	@ApiModelProperty(value = "租户ID",name = "tenantId", required = false)
	@TableField("tenant_id")
	private String  tenantId;
 	/** 
	 * 岗位类型 
	 */
	@ApiModelProperty(value = "岗位类型",name = "category", required = false)
	@TableField("category")
	private Integer  category;
 	/** 
	 * 岗位编号 
	 */
	@ApiModelProperty(value = "岗位编号",name = "postCode", required = false)
	@TableField("post_code")
	private String  postCode;
 	/** 
	 * 岗位名称 
	 */
	@ApiModelProperty(value = "岗位名称",name = "postName", required = false)
	@TableField("post_name")
	private String  fullName;
 	/** 
	 * 岗位排序 
	 */
	@ApiModelProperty(value = "岗位排序",name = "sort", required = false)
	@TableField("sort")
	private Integer  sort;
 	/** 
	 * 岗位描述 
	 */
	@ApiModelProperty(value = "岗位描述",name = "remark", required = false)
	@TableField("remark")
	private String  remark;
 	/** 
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人",name = "createUser", required = false)
	@TableField("create_user")
	private Long  createUser;
 	/** 
	 * 创建部门 
	 */
	@ApiModelProperty(value = "创建部门",name = "createDept", required = false)
	@TableField("create_dept")
	private Long  createDept;
 	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间",name = "createTime", required = false)
	@TableField("create_time")
	private Date  createTime;
 	/** 
	 * 修改人 
	 */
	@ApiModelProperty(value = "修改人",name = "updateUser", required = false)
	@TableField("update_user")
	private Long  updateUser;
 	/** 
	 * 修改时间 
	 */
	@ApiModelProperty(value = "修改时间",name = "updateTime", required = false)
	@TableField("update_time")
	private Date  updateTime;
 	/** 
	 * 状态 
	 */
	@ApiModelProperty(value = "状态",name = "status", required = false)
	@TableField("status")
	private Integer  enabledMark;
 	/** 
	 * 是否已删除 
	 */
	@ApiModelProperty(value = "是否已删除",name = "isDeleted", required = false)
	@TableField("is_deleted")
	private Integer  isDeleted;

}
