package org.springblade.flow.visual.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Data
@TableName("base_visualdev_data_permission")
public class VisualdevDataPermission implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 数据集ID
     */
    @NotNull(message = "表单ID不能为空")
    @ApiModelProperty("表单ID")
    private String visualdevId;

    /**
     * 数据集权限组名
     */
    @NotEmpty(message = "表单操作权限名称不能为空")
    @ApiModelProperty("表单操作权限名称")
    private String visualdevPermName;
    /**
     * 权限组ID
     */
    @NotNull(message = "权限组ID不能为空")
    @ApiModelProperty("权限组ID")
    private Integer dataPermId;
    /**
     * 过滤器JSON
     */
    @ApiModelProperty("操作权限JSON")
    private String permJson;

    private Date createTime;

    private Long createUserId;

    /**
     * 是否默认
     */
    @NotNull(message = "是否默认不能为空")
    @ApiModelProperty("是否默认")
    private Integer isDefault;

}

